unit orbclienteforma;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, StdCtrls, Buttons, ImgList, ActnList, ORBDelCurso_TLB, ComCtrls;

type
  TForm1 = class(TForm)
    Label1: TLabel;
    Memo1: TMemo;
    Splitter1: TSplitter;
    Edit1: TEdit;
    ActionList1: TActionList;
    Conectar: TAction;
    ImageList1: TImageList;
    QuienEres: TAction;
    btnConectar: TSpeedButton;
    SpeedButton2: TSpeedButton;
    StatusBar1: TStatusBar;
    DeCabeza: TAction;
    BitBtn1: TBitBtn;
    procedure FormCreate(Sender: TObject);
    procedure ConectarExecute(Sender: TObject);
    procedure QuienEresExecute(Sender: TObject);
    procedure DeCabezaExecute(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    ObjetodelCurso : IObjetoCurso;
    procedure ActualizaForma;
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.FormCreate(Sender: TObject);
begin

  ObjetodelCurso := Nil;
  ActualizaForma;
  
end;

procedure TForm1.ConectarExecute(Sender: TObject);
begin

  // Aqu creamos el objeto
  if ObjetodelCurso = Nil then
     ObjetodelCurso :=  TObjetoCursoCorbaFactory.CreateInstance('')
  else ObjetodelCurso := Nil;
  ActualizaForma;

end;

procedure TForm1.QuienEresExecute(Sender: TObject);
begin

  // Quin Eres?
  Memo1.Lines.Add(ObjetoDelCurso.TuQuienEres);
  ActualizaForma;
  
end;

procedure TForm1.ActualizaForma;
begin

  QuienEres.Enabled := ObjetodelCurso <> Nil;
  DeCabeza.Enabled  := ObjetodelCurso <> Nil;
  Memo1.Enabled     := ObjetoDelCurso <> Nil;
  Edit1.Enabled     := ObjetoDelCurso <> Nil;
  if ObjetoDelCurso = Nil then StatusBar1.Panels[0].Text := 'Desconectado'
                          else StatusBar1.Panels[0].Text := 'Conectado!';


end;



procedure TForm1.DeCabezaExecute(Sender: TObject);
begin

  // De Cabeza
  Memo1.Lines.Add(ObjetoDelCurso.DeCabeza(Edit1.Text));
  ActualizaForma;


end;

end.
