package ORBDelCurso;
/**
<p>
<ul>
<li> <b>Java Class</b> ORBDelCurso.ObjetoCursoFactoryHelper
<li> <b>Source File</b> ORBDelCurso/ObjetoCursoFactoryHelper.java
<li> <b>IDL Source File</b> ORBDelCurso.idl
<li> <b>IDL Absolute Name</b> ::ORBDelCurso::ObjetoCursoFactory
<li> <b>Repository Identifier</b> IDL:ORBDelCurso/ObjetoCursoFactory:1.0
</ul>
<b>IDL definition:</b>
<pre>
    #pragma prefix "ORBDelCurso"
    interface ObjetoCursoFactory {
      ::ORBDelCurso::IObjetoCurso CreateInstance(
        in string InstanceName
      );
    };
</pre>
</p>
*/
abstract public class ObjetoCursoFactoryHelper {
  public static ORBDelCurso.ObjetoCursoFactory narrow(org.omg.CORBA.Object object) {
    return narrow(object, false);
  }
  private static ORBDelCurso.ObjetoCursoFactory narrow(org.omg.CORBA.Object object, boolean is_a) {
    if(object == null) {
      return null;
    }
    if(object instanceof ORBDelCurso.ObjetoCursoFactory) {
      return (ORBDelCurso.ObjetoCursoFactory) object;
    }
    if(is_a || object._is_a(id())) {
      ORBDelCurso._st_ObjetoCursoFactory result = (ORBDelCurso._st_ObjetoCursoFactory)new ORBDelCurso._st_ObjetoCursoFactory();
      ((org.omg.CORBA.portable.ObjectImpl) result)._set_delegate
        (((org.omg.CORBA.portable.ObjectImpl) object)._get_delegate());
      ((org.omg.CORBA.portable.ObjectImpl) result._this())._set_delegate
        (((org.omg.CORBA.portable.ObjectImpl) object)._get_delegate());
      return (ORBDelCurso.ObjetoCursoFactory) result._this();
    }
    return null;
  }
  public static ORBDelCurso.ObjetoCursoFactory bind(org.omg.CORBA.ORB orb) {
    return bind(orb, null, null, null);
  }
  public static ORBDelCurso.ObjetoCursoFactory bind(org.omg.CORBA.ORB orb, java.lang.String name) {
    return bind(orb, name, null, null);
  }
  public static ORBDelCurso.ObjetoCursoFactory bind(org.omg.CORBA.ORB orb, java.lang.String name, java.lang.String host, org.omg.CORBA.BindOptions options) {
    if (orb instanceof com.visigenic.vbroker.orb.ORB) {
      return narrow(((com.visigenic.vbroker.orb.ORB)orb).bind(id(), name, host, options), true);
    }
    else {
      throw new org.omg.CORBA.BAD_PARAM();
    }
  }
  private static org.omg.CORBA.ORB _orb() {
    return org.omg.CORBA.ORB.init();
  }
  public static ORBDelCurso.ObjetoCursoFactory read(org.omg.CORBA.portable.InputStream _input) {
    return ORBDelCurso.ObjetoCursoFactoryHelper.narrow(_input.read_Object(), true);
  }
  public static void write(org.omg.CORBA.portable.OutputStream _output, ORBDelCurso.ObjetoCursoFactory value) {
    _output.write_Object(value);
  }
  public static void insert(org.omg.CORBA.Any any, ORBDelCurso.ObjetoCursoFactory value) {
    org.omg.CORBA.portable.OutputStream output = any.create_output_stream();
    write(output, value);
    any.read_value(output.create_input_stream(), type());
  }
  public static ORBDelCurso.ObjetoCursoFactory extract(org.omg.CORBA.Any any) {
    if(!any.type().equal(type())) {
      throw new org.omg.CORBA.BAD_TYPECODE();
    }
    return read(any.create_input_stream());
  }
  private static org.omg.CORBA.TypeCode _type;
  public static org.omg.CORBA.TypeCode type() {
    if(_type == null) {
      _type = _orb().create_interface_tc(id(), "ObjetoCursoFactory");
    }
    return _type;
  }
  public static java.lang.String id() {
    return "IDL:ORBDelCurso/ObjetoCursoFactory:1.0";
  }
}
